> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Upcloud Access Info Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/upcloud/{cluster_id}/access-info
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/upcloud/{cluster_id}/access-info:
    get:
      tags:
        - UpCloud Cluster API
      summary: Get Upcloud Access Info Endpoint
      operationId: >-
        get_upcloud_access_info_endpoint_api_v1_clusters_upcloud__cluster_id__access_info_get
      parameters:
        - name: cluster_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Cluster Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-ankra-organisation-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClusterAccessInfo'
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClusterAccessInfo:
      properties:
        bastion_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Bastion Ip
        control_plane_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Plane Ip
        control_plane_ips:
          items:
            type: string
          type: array
          title: Control Plane Ips
          default: []
        cluster_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Name
      type: object
      title: ClusterAccessInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````